Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp.pdfa
Class XMPMetadataPDFA

    java.lang.Object
      org.jempbox.xmp.XMPMetadata
          org.jempbox.xmp.pdfa.XMPMetadataPDFA

public class XMPMetadataPDFA
extends XMPMetadata

PDFA Metadata.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Field Summary

Fields inherited from class org.jempbox.xmp.XMPMetadata
`encoding, ENCODING_UTF16BE, ENCODING_UTF16LE, ENCODING_UTF8, nsMappings, xmpDocument`

Constructor Summary
`XMPMetadataPDFA()` Constructor.
`XMPMetadataPDFA(org.w3c.dom.Document doc)` Constructor.

Method Summary
`XMPSchemaPDFAField` | `addPDFAFieldSchema()` Add a new PDFAField schema.
`XMPSchemaPDFAId` | `addPDFAIdSchema()` Add a PDFA Id schema and return the result.
`XMPSchemaPDFAProperty` | `addPDFAPropertySchema()` Create a PDFA property schema.
`XMPSchemaPDFASchema` | `addPDFASchema()` Add a PDFA schema.
`XMPSchemaPDFAType` | `addPDFATypeSchema()` Add a new PDFA type schema.
`XMPSchemaPDFAField` | `getPDFAFieldSchema()` Get the PDFAField schema.
`XMPSchemaPDFAId` | `getPDFAIdSchema()` Get the PDFA ID schema.
`XMPSchemaPDFAProperty` | `getPDFAPropertySchema()` Get the PDFA property schema.
`XMPSchemaPDFASchema` | `getPDFASchema()` Get the PDFA schema.
`XMPSchemaPDFAType` | `getPDFATypeSchema()` Get the PDFA type schema.
`static XMPMetadata` | `load(org.xml.sax.InputSource is)` Load a a PDFA metadata.

Methods inherited from class org.jempbox.xmp.XMPMetadata
`addBasicJobTicketSchema, addBasicSchema, addDublinCoreSchema, addDynamicMediaSchema, addIptc4xmpCoreSchema, addMediaManagementSchema, addPagedTextSchema, addPDFSchema, addPhotoshopSchema, addRightsManagementSchema, addSchema, addXMLNSMapping, asByteArray, basicAddSchema, getBasicJobTicketSchema, getBasicSchema, getDublinCoreSchema, getDynamicMediaSchema, getEncoding, getMediaManagementSchema, getPagedTextSchema, getPDFSchema, getRightsManagementSchema, getSchemaByClass, getSchemas, getSchemasByNamespaceURI, getXMPDocument, hasUnknownSchema, load, load, main, merge, save, save, setEncoding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMPMetadataPDFA

    public XMPMetadataPDFA()
                    throws java.io.IOException

  Constructor.

Throws:
  `java.io.IOException` - If there is an error creating this metadata.

### XMPMetadataPDFA

    public XMPMetadataPDFA(org.w3c.dom.Document doc)

  Constructor.

Parameters:
  `doc` - The XML document that maps to the metadata.

Method Detail

### load

    public static XMPMetadata load(org.xml.sax.InputSource is)
                            throws java.io.IOException

  Load a a PDFA metadata.

  Parameters:
    `is` - An XML input stream
  Returns:
    A PDFA metadata.
  Throws:
    `java.io.IOException` - If there is an error loading the XML document.

### getPDFAFieldSchema

    public XMPSchemaPDFAField getPDFAFieldSchema()
                                          throws java.io.IOException

  Get the PDFAField schema.

  Returns:
    A PDFAField schema.
  Throws:
    `java.io.IOException` - If there is an error finding the scheam.

### addPDFAFieldSchema

    public XMPSchemaPDFAField addPDFAFieldSchema()

  Add a new PDFAField schema.

  Returns:
    The newly added PDFA schema.

### getPDFAIdSchema

    public XMPSchemaPDFAId getPDFAIdSchema()
                                    throws java.io.IOException

  Get the PDFA ID schema.

  Returns:
    The PDFA ID schema.
  Throws:
    `java.io.IOException` - If there is an error accessing the PDFA id schema.

### addPDFAIdSchema

    public XMPSchemaPDFAId addPDFAIdSchema()

  Add a PDFA Id schema and return the result.

  Returns:
    The newly created PDFA Id schema.

### getPDFAPropertySchema

    public XMPSchemaPDFAProperty getPDFAPropertySchema()
                                                throws java.io.IOException

  Get the PDFA property schema.

  Returns:
    The PDFA property schema.
  Throws:
    `java.io.IOException` - If there is an error accessing the PDFA property schema.

### addPDFAPropertySchema

    public XMPSchemaPDFAProperty addPDFAPropertySchema()

  Create a PDFA property schema.

  Returns:
    The newly created property schema.

### getPDFASchema

    public XMPSchemaPDFASchema getPDFASchema()
                                      throws java.io.IOException

  Get the PDFA schema.

  Returns:
    The PDFA schema.
  Throws:
    `java.io.IOException` - If there is an error getting the PDFA schema.

### addPDFASchema

    public XMPSchemaPDFASchema addPDFASchema()

  Add a PDFA schema.

  Returns:
    The newly created PDFA schema.

### getPDFATypeSchema

    public XMPSchemaPDFAType getPDFATypeSchema()
                                        throws java.io.IOException

  Get the PDFA type schema.

  Returns:
    The PDFA type schema.
  Throws:
    `java.io.IOException` - If there is an error accessing the PDFA type schema.

### addPDFATypeSchema

    public XMPSchemaPDFAType addPDFATypeSchema()

  Add a new PDFA type schema.

  Returns:
    The newly created PDFA type schema.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD